/***************************************************************************
    file:           hdsensorslist.h
    description:    hard disk sensors list
    begin:          09/06/2024
    Copyright:      Giuseppe Della Bianca<giusdbg@gmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HDSENSORSLIST_H
#define HDSENSORSLIST_H

#include <sensordev.h>
#include "processexec.h"


/**
  *@original author Miguel Novas
  */

class HDSensorsList : public SensorDev
{
Q_OBJECT
public:
	HDSensorsList( SensorDevsList *sensorDevsList, const QString &name = QString() );
	~HDSensorsList();

public Q_SLOTS:

  void updateSensors( bool enabUpdate ) override;

protected Q_SLOTS:

  void slotProcessExited( int exitCode, QProcess::ExitStatus exitStatus, bool enabUpdate );

private:

  ProcessExec *process;

  static bool isHddTempInstalled();
  static bool getDisks(QStringList &disks);
  static bool getDiskInfo(const QString buf, QString &name, double &value);
};

#endif
