/***************************************************************************
                          lmsensordockpanel.h  -  description
                             -------------------
    begin                : Tue Sep 18 2001
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LMSENSORDOCKPANEL_H
#define LMSENSORDOCKPANEL_H

#include <qcolor.h>
#include <qsystemtrayicon.h>
#include <qmenu.h>
#include "qlcddraw.h"

#include <kstatusnotifieritem.h>

#include "sensor.h"
#include "ksensorssetting.h"
#include "ksensorsmain.h"

class KsensorsMain;

/**
  *@original author Miguel Novas
  */

class LMSensorDockPanel : public KStatusNotifierItem /* KSystemTrayIcon */, public ksensorsSetting
{
Q_OBJECT
public:
	LMSensorDockPanel(Sensor *newSensor = nullptr, KsensorsMain *lmsdKSensors = nullptr, const QString &name = QString() );
	~LMSensorDockPanel();

  void updateMenu( QString qsActionMinRest );
  
public Q_SLOTS:

  void setToolTipValue( QString value );
  void setValue( /* double value, double value1, double value2, double value3, double value4 */ );
  
    void slotUpdateConfig();
  
  void trayIconActivated( bool active, const QPoint &pos );
  
Q_SIGNALS:
    void panelDockConfigChanged();

  void mouseEvent(QMouseEvent *e);

protected:

  void paintEvent ( QPaintEvent * );
/*  void mousePressEvent ( QMouseEvent * );
  void mouseReleaseEvent ( QMouseEvent * ); */

private:

  Sensor *sensor;
  QString  strValue;
  QColor colorNormal,colorAlarm;
  
  QSize qsPixMapSize;
  QPixmap *qpIcon;
  QBarMeter *barMeter;

  QMenu *kmContext;
  QAction *qaMinimizeRestore;
  
};

#endif
