/***************************************************************************
    file:           ksensorssetting.h
    description:    settings management
    begin:          09/06/2024
    Copyright:      Giuseppe Della Bianca<giusdbg@gmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PANEL_H
#define PANEL_H

#include <qframe.h>
#include <qpalette.h>

#include "general.h"
#include "ksensorssetting.h"


class Panel : public QFrame, public ksensorsSetting
{
Q_OBJECT
public:
	Panel(QWidget *parent, const QString &name);
	~Panel();

    MeterTypes getMeterTypes() { return ( meterTypes ); };
    void setMeterTypes( MeterTypes meterTypesIn ) { meterTypes = meterTypesIn; };
        
  inline const QColor &getColorTitle() { return palette().color ( QPalette::Text ); };
  inline const QColor &getColorValue() { return palette().color ( QPalette::WindowText ); };

    void resizePanel( int newMeterWidth, int newMeterHeight );
  
  void updateFrame();
  
public Q_SLOTS:

 virtual void updateInfo(){};

Q_SIGNALS:

  void eventReceived(QEvent *);

private:

  bool eventFilter( QObject *o , QEvent *e) override;

protected:

  void paintEvent( QPaintEvent *e ) override;

    MeterTypes meterTypes;
  
private:

  bool panelSolid;
  double panelOpacityValue;
};

#endif
